summaryrefslogtreecommitdiffstats
path: root/source/l/sip/sip.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/sip/sip.SlackBuild')
-rwxr-xr-xsource/l/sip/sip.SlackBuild22
1 files changed, 16 insertions, 6 deletions
diff --git a/source/l/sip/sip.SlackBuild b/source/l/sip/sip.SlackBuild
index 0379743a2..e46740e49 100755
--- a/source/l/sip/sip.SlackBuild
+++ b/source/l/sip/sip.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2008 Aleksandar Samardzic <asamardzic@gmail.com>
-# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,21 +24,31 @@
# Modified by Robby Workman <rworkman@slackware.com>
-VERSION=${VERSION:-4.7.9}
-ARCH=${ARCH:-x86_64}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-4.10.2}
+BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:--j6}
CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-sip
+# Automatically determine architecture for build & packaging:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+else
+ SLKCFLAGS="-O2"
fi
PYTHONVER=$(python -V 2>&1 | cut -f 2 -d' ' | cut -f 1-2 -d.)
@@ -48,7 +58,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf sip-$VERSION
-tar xvf $CWD/sip-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/sip-$VERSION.tar.?z* || exit 1
cd sip-$VERSION || exit 1
chown -R root:root .
find . \
@@ -80,5 +90,5 @@ mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/sip-$VERSION-$ARCH-$BUILD.txz
+/sbin/makepkg -l y -c n $TMP/sip-$(echo $VERSION |tr - _)-$ARCH-$BUILD.txz